package com.infor.rhythm.common.portal.messaging.listener;

import com.liferay.portal.kernel.messaging.Message;
import com.liferay.portal.kernel.messaging.MessageListenerException;
import com.liferay.portal.model.User;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DeleteUserMessagingImpl implements IRhythmPortalMessageListener {

    private static final Logger logger = LoggerFactory
            .getLogger(DeleteUserMessagingImpl.class);

    public void receive(Message message) throws MessageListenerException {

        Object payload = message.getPayload();

        User user = (User) payload;

        logger.info(user.getEmailAddress() + " recieved for deletion");

    }

}
